function [outputArg] = plot_suspension_positions(panel, pltData, tr)
    % create tiledlayout (R2023a and newer)
    tl = tiledlayout(panel,"vertical");
    % plot 1: position heave front [mm]
    ax1 = nexttile(tl);
    hold(ax1, "on")
    grid(ax1, "on")
    title(ax1, "Heave Front [mm]")
    plot(ax1, pltData.xAxis(tr,:),pltData.damperHeaveFront_mm(tr,:))
    % plot 2: position roll front [mm]
    ax2 = nexttile(tl);
    hold(ax2, "on")
    grid(ax2, "on")
    title(ax2, "Roll Front [mm]")
    plot(ax2, pltData.xAxis(tr,:),pltData.damperRollFront_mm(tr,:))
    % plot 3: position heave front [mm]
    ax3 = nexttile(tl);
    hold(ax3, "on")
    grid(ax3, "on")
    title(ax3, "Heave Rear [mm]")
    plot(ax3, pltData.xAxis(tr,:),pltData.damperHeaveRear_mm(tr,:))
    % plot 4: position roll front [mm]
    ax4 = nexttile(tl);
    hold(ax4, "on")
    grid(ax4, "on")
    title(ax4, "Roll Rear [mm]")
    plot(ax4, pltData.xAxis(tr,:),pltData.damperRollRear_mm(tr,:))
    linkaxes([ax1, ax2, ax3, ax4],"x")

    % return null (not relevant for plots!)
    outputArg = [];
end

